summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2015-03-27 16:01:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-28 02:22:07 +0700
commit08bf496cb213d1c2042e559c8695e8bbbfebbc5e (patch)
tree05c9f893287eb558c55e2c2af8b0e5a95658a73f /development
parentc9d2f4d64382dfcfb2e6ae3173df928bc8ed458f (diff)
downloadslackbuilds-08bf496cb213d1c2042e559c8695e8bbbfebbc5e.tar.gz
slackbuilds-08bf496cb213d1c2042e559c8695e8bbbfebbc5e.tar.xz
development/gisto: Added (Code snippet manager for GitHub).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/gisto/README6
-rw-r--r--development/gisto/doinst.sh3
-rw-r--r--development/gisto/gisto.SlackBuild98
-rw-r--r--development/gisto/gisto.info10
-rw-r--r--development/gisto/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/development/gisto/README b/development/gisto/README
new file mode 100644
index 0000000000..2261e3ee80
--- /dev/null
+++ b/development/gisto/README
@@ -0,0 +1,6 @@
+Gisto is a code snippet manager that runs on GitHub Gists
+and adds additional features such as searching, tagging
+and sharing gists while including a rich code editor.
+All your data is stored on GitHub and you can access it
+from GitHub Gists at any time with changes carrying
+over to Gisto.
diff --git a/development/gisto/doinst.sh b/development/gisto/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/gisto/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/gisto/gisto.SlackBuild b/development/gisto/gisto.SlackBuild
new file mode 100644
index 0000000000..8e5049cbd3
--- /dev/null
+++ b/development/gisto/gisto.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+# Slackware build script for gisto
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <http://www.gnu.org/licenses/>.
+
+PRGNAM=gisto
+SRCNAM=Gisto
+VERSION=${VERSION:-0.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SRCARCH=x86
+ SRCARCHSHORT=ia32
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SRCARCH=x86
+ SRCARCHSHORT=ia32
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ SRCARCH=x86_64
+ SRCARCHSHORT=x64
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ SRCARCH=x86
+ SRCARCHSHORT=ia32
+fi
+
+DOCS="README setup"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION-linux\_$SRCARCHSHORT/
+tar xvpf $CWD/$SRCNAM-$VERSION-Linux\_$SRCARCH.tar.gz
+cd $SRCNAM-$VERSION-linux\_$SRCARCHSHORT/
+
+mkdir -p $PKG/opt/$PRGNAM/
+cp -ar setup share gisto/* $PKG/opt/$PRGNAM/
+
+mkdir -p $PKG/usr/bin/
+ln -sf /opt/$PRGNAM/${PRGNAM} $PKG/usr/bin/
+
+mkdir -p $PKG/usr/share/{applications,menu}/
+ln -sf /opt/$PRGNAM/share/applications/$PRGNAM.desktop $PKG/usr/share/applications/
+ln -sf /opt/$PRGNAM/share/menu/$PRGNAM $PKG/usr/share/menu
+
+mkdir -p $PKG/usr/share/pixmaps/
+ln -sf /opt/$PRGNAM/pixmaps/${PRGNAM}.png $PKG/usr/share/pixmaps/
+ln -sf /opt/$PRGNAM/pixmaps/${PRGNAM}.xpm $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/gisto/gisto.info b/development/gisto/gisto.info
new file mode 100644
index 0000000000..986dc37c3c
--- /dev/null
+++ b/development/gisto/gisto.info
@@ -0,0 +1,10 @@
+PRGNAM="gisto"
+VERSION="0.3.0"
+HOMEPAGE="http://www.gistoapp.com/"
+DOWNLOAD="http://download.gistoapp.com/Gisto-0.3.0-Linux_x86.tar.gz"
+MD5SUM="08b6eaa6ca5d8e843ce1ad6eb1f76c6f"
+DOWNLOAD_x86_64="http://download.gistoapp.com/Gisto-0.3.0-Linux_x86_64.tar.gz"
+MD5SUM_x86_64="5a8883a2a6678de78258c8fec0cb9ffb"
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/development/gisto/slack-desc b/development/gisto/slack-desc
new file mode 100644
index 0000000000..750961e0dd
--- /dev/null
+++ b/development/gisto/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gisto: gisto (Code snippet manager for GitHub)
+gisto:
+gisto: Gisto is a code snippet manager that runs on GitHub Gists and adds
+gisto: additional features such as searching, tagging and sharing gists
+gisto: while including a rich code editor.
+gisto:
+gisto:
+gisto:
+gisto: http://www.gistoapp.com/
+gisto:
+gisto: